package org.jeecg.pm.hikvision.sdk.request.vss.record;

import com.chanjx.utils.HttpMethod;
import org.apache.http.entity.ContentType;
import org.jeecg.pm.hikvision.sdk.request.HikvisionAbstractRequest;
import org.jeecg.pm.hikvision.sdk.response.vss.record.HikvisionStartManualRecordResponse;
import org.jeecg.pm.hikvision.sdk.result.vss.record.HikvisionStartManualRecordResult;

/**
 * <p>
 *
 * </p>
 *
 * @author 陈俊雄
 * @since 2022/3/25
 */
public class HikvisionStartManualRecordRequest extends HikvisionAbstractRequest<HikvisionStartManualRecordResponse, HikvisionStartManualRecordResult> {

    @Override
    public ContentType getContentType() {
        return ContentType.APPLICATION_JSON;
    }

    @Override
    public Class<HikvisionStartManualRecordResponse> getResponseClazz() {
        return HikvisionStartManualRecordResponse.class;
    }

    @Override
    public Class<HikvisionStartManualRecordResult> getResultClazz() {
        return HikvisionStartManualRecordResult.class;
    }

    @Override
    public HttpMethod getHttpMethod() {
        return HttpMethod.POST;
    }

    @Override
    public String getReqPath() {
        return "/openapi/service/vss/record/startManualRecord";
    }
}
